Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » scout » Eclipse Scout Mobile / Browser Support
Eclipse Scout Mobile / Browser Support [message #949747] Fri, 19 October 2012 04:48 Go to next message
Adrian Moser
Messages: 67
Registered: March 2011
Member
As for the current Eclipse Scout release, the supported browsers for the RAP UI layer are listed in the wiki:

* Microsoft Internet Explorer 9
* Mozilla Firefox 9
* Google Chrome 16
* Apple Safari 5

[http://wiki.eclipse.org/Scout/Release/Juno#Target_Environment]

Do you have any news about the planned mobile support? (http://www.bsiag.com/scout/?p=549)

Which mobile browsers and versions will be supported?
Re: Eclipse Scout Mobile / Browser Support [message #958853 is a reply to message #949747] Fri, 26 October 2012 05:04 Go to previous message
Claudio Guglielmo is currently offline Claudio Guglielmo
Messages: 126
Registered: March 2010
Senior Member
Hi Adrian

At the moment we focus on the iOS and Android devices. This means the supported browsers are Mobile Safari, Mobile Chrome and Android Browser. I cannot tell the exact version which is required, the newer the better. Other browsers might work as well, last week I tested it the first time on IE 9 Mobile on a Windows Phone and it worked quite a lot.

But more important than the browser is the device itself: You need an up-to-date device to get a solid experience. The performance won't be sufficent with old devices.

As soon as I know the exact requirements I'll update the wiki.

You can read more about the mobile support here: http://wiki.eclipse.org/images/7/7a/2012_10_25_EclipseCon2012_ScoutMobile.pdf

Best regards
Claudio
Previous Topic:SplitBox vs SequenceBox
Next Topic:AbstractChainableSecurityFilter
Goto Forum:
  


Current Time: Thu Aug 28 07:27:40 EDT 2014

Powered by FUDForum. Page generated in 0.01551 seconds